Loading...
Searching...
No Matches
TransformNode Class Reference

The TransformNode class applies a transform to all child nodes. More...

`#include <avogadro/rendering/transformnode.h>`

Inheritance diagram for TransformNode:

## Public Member Functions

| TransformNode (GroupNode *parent=nullptr)
Public Member Functions inherited from GroupNode
| GroupNode (GroupNode *parent=nullptr)
void | accept (Visitor &) override
void | addChild (Node *node, NodeType ui=NodeType::GEOMETRY)
| Add a child node, this node will have its parent set and will be deleted by this node upon destruction.
void | addUIChild (Node *node)
| Add a child node, this node will have its parent set and will be deleted by this node upon destruction.
bool | removeChild (Node *node)
| Remove child node, this node will no longer be deleted.
Node * | child (size_t index)
| Get the child Node at the specified index.
bool | hasChild (Node *node) const
| check if the Node exists in this GroupNode.
size_t | childCount () const
std::list< NodeInfo > & | children ()
| Get a reference to the child nodes list.
const std::list< NodeInfo > & | children () const
void | clear ()
| Remove all non UI-children.
void | clearUI ()
| Remove all UI-children.
Public Member Functions inherited from Node
const GroupNode * | parent () const
| Get a pointer to the node's parent.
GroupNode * | parent ()
void | setVisible (bool visibility)
| Set the visibility of the node.
bool | isVisible () const
| Get the current visibility of the node.
template<typename T>
T * | cast ()
| Attempt to dynamic_cast to specified node type.
template<typename T>
const T * | cast () const

## Additional Inherited Members

Public Types inherited from GroupNode
enum | NodeType { ALL = 0 , NONE = -1 , UI = 1 , GEOMETRY = 2 }
Protected Member Functions inherited from GroupNode
void | clear (NodeType type)
Protected Member Functions inherited from Node
void | setParent (GroupNode *parent)
| Set the parent node for the node.
Protected Attributes inherited from GroupNode
std::list< NodeInfo > | m_children
Protected Attributes inherited from Node
GroupNode * | m_parent
bool | m_visible

## Detailed Description

Author
  Marcus D. Hanwell

The documentation for this class was generated from the following file:

- transformnode.h